# Masterarbeit: Energieerfassung in elektrischen Anlagen

Es soll ein Energieerfassungssystem für die Laempe Mössner Sinto GmbH entwickelt werden, das in möglichst vielen unterschiedlichen elektrischen Anlagen eingesetzt werden kann. Es soll im speziellen mit Lösungen von Siemens, Rockwell/Allen-Brandley und Mitsubishi kompatibel sein. Dabei muss eine variable Anbindung über ProfiNET bzw. EtherNet/IP konzipiert werden. Die Messdaten sollen letztendlich an den CPU der verschiedenen Hersteller verfügbar sein, um dort Ausgewertet und/oder Dargestellt werden zu können. 
Der feste Bestandteil des Systems soll in der Lage sein, Ströme an mehreren 400 V AC Zuleitungen und mehreren 24 V DC Kreisen zu messen. Dazu müssen geeignete Sensoren und Signalkonzentratoren gewählt werden. 
Zusätzlich zur Selektierung der Hardwarekomponenten muss eine universale Softwareschnittstelle geschaffen werden, damit die Weiterverarbeitung der Messdaten in allen Anlagentypen gleichermaßen stattfinden kann.
Gegeben sind folgende Zielgeräte:
- Siemens CPU 1515F-2 PN
    -	SIMATIC ET 200SP IO-System; PROFINET
- Allen-Bradley / Rockwell Automation Guardlogix 5580 Controller -- 1756-L82ES
    -	Dezentrale IO-Module von Rockwell Automation
-	Mitsubishi MelSec CPU
    -	Ethernet oder PROFINET
